Prediction Create
curl --request POST \
--url https://api.example.com/v2/{entity}/{project}/predictions \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"inputs": {},
"output": "<unknown>",
"evaluation_run_id": "<string>"
}
'{
"prediction_id": "<string>"
}Prediction Create
Create a prediction.
POST
/
v2
/
{entity}
/
{project}
/
predictions
Prediction Create
curl --request POST \
--url https://api.example.com/v2/{entity}/{project}/predictions \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"inputs": {},
"output": "<unknown>",
"evaluation_run_id": "<string>"
}
'{
"prediction_id": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://wb-21fd5541-dbrian-docs-2514-bedrock-agents.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
application/json
Request body for creating a Prediction via REST API.
This model excludes project_id since it comes from the URL path in RESTful endpoints.
Response
Successful Response
The prediction ID
Was this page helpful?
⌘I